<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/document_library/init.jsp" %>

<%
DLFileEntryTypeDetailsDisplayContext dlFileEntryTypeDetailsDisplayContext = new DLFileEntryTypeDetailsDisplayContext(request);
%>

<aui:model-context bean="<%= dlFileEntryTypeDetailsDisplayContext.getDLFileEntryType() %>" model="<%= DLFileEntryType.class %>" />

<aui:field-wrapper>
	<c:if test="<%= dlFileEntryTypeDetailsDisplayContext.isForeignDLFileEntryType() %>">
		<div class="alert alert-warning">
			<liferay-ui:message key="this-document-type-does-not-belong-to-this-site.-you-may-affect-other-sites-if-you-edit-this-document-type" />
		</div>
	</c:if>
</aui:field-wrapper>

<aui:input name="description" />