<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
AccountEntryDisplay accountEntryDisplay = (AccountEntryDisplay)request.getAttribute(AccountWebKeys.ACCOUNT_ENTRY_DISPLAY);
%>

<liferay-asset:asset-categories-error />

<liferay-asset:asset-tags-error />

<clay:sheet-section>
	<h3 class="sheet-subtitle">
		<liferay-ui:message key="more-information" />
	</h3>

	<%
	Group controlPanelGroup = themeDisplay.getControlPanelGroup();
	%>

	<div class="form-group">
		<liferay-asset:asset-categories-selector
			className="<%= AccountEntry.class.getName() %>"
			classPK="<%= accountEntryDisplay.getAccountEntryId() %>"
			groupIds="<%= new long[] {controlPanelGroup.getGroupId()} %>"
			visibilityTypes="<%= AssetVocabularyConstants.VISIBILITY_TYPES %>"
		/>
	</div>

	<div class="form-group">
		<liferay-asset:asset-tags-selector
			className="<%= AccountEntry.class.getName() %>"
			classPK="<%= accountEntryDisplay.getAccountEntryId() %>"
			groupIds="<%= new long[] {controlPanelGroup.getGroupId(), themeDisplay.getSiteGroupId()} %>"
		/>
	</div>
</clay:sheet-section>