<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
EditAccountEntryAccountUserDisplayContext editAccountEntryAccountUserDisplayContext = (EditAccountEntryAccountUserDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<aui:model-context bean="<%= editAccountEntryAccountUserDisplayContext.getSelectedAccountUser() %>" model="<%= User.class %>" />

<liferay-frontend:edit-form
	action="<%= editAccountEntryAccountUserDisplayContext.getEditAccountUserActionURL() %>"
>
	<aui:input name="redirect" type="hidden" value="<%= currentURL %>" />
	<aui:input name="backURL" type="hidden" value="<%= editAccountEntryAccountUserDisplayContext.getBackURL() %>" />
	<aui:input name="accountEntryId" type="hidden" value="<%= editAccountEntryAccountUserDisplayContext.getAccountEntryId() %>" />
	<aui:input name="accountUserId" type="hidden" value="<%= editAccountEntryAccountUserDisplayContext.getAccountUserId() %>" />

	<clay:sheet-header>
		<h2 class="sheet-title"><%= editAccountEntryAccountUserDisplayContext.getTitle() %></h2>
	</clay:sheet-header>

	<liferay-frontend:edit-form-body>
		<liferay-ui:user-name-fields
			contact="<%= editAccountEntryAccountUserDisplayContext.getSelectedAccountUserContact() %>"
			user="<%= editAccountEntryAccountUserDisplayContext.getSelectedAccountUser() %>"
		/>
	</liferay-frontend:edit-form-body>

	<liferay-frontend:edit-form-footer>
		<liferay-frontend:edit-form-buttons
			redirect="<%= editAccountEntryAccountUserDisplayContext.getBackURL() %>"
		/>
	</liferay-frontend:edit-form-footer>
</liferay-frontend:edit-form>