<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/publications/init.jsp" %>

<%
ViewConflictsDisplayContext viewConflictsDisplayContext = (ViewConflictsDisplayContext)request.getAttribute(CTWebKeys.VIEW_CONFLICTS_DISPLAY_CONTEXT);

CTCollection ctCollection = viewConflictsDisplayContext.getCtCollection();

boolean schedule = ParamUtil.getBoolean(request, "schedule");

renderResponse.setTitle(StringBundler.concat(LanguageUtil.get(request, schedule ? "schedule-to-publish-later" : "publish"), ": ", ctCollection.getName()));

portletDisplay.setShowBackIcon(true);
portletDisplay.setURLBack(viewConflictsDisplayContext.getRedirect());
%>

<clay:container-fluid
	cssClass="container-form-lg publications-conflicts-container"
>
	<react:component
		module="publications/js/views/ChangeTrackingConflictsView"
		props="<%= viewConflictsDisplayContext.getReactData() %>"
	/>
</clay:container-fluid>