<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/document_library/init.jsp" %>

<div class="sidebar-header">
	<h1 class="component-title">
		<liferay-ui:message key="selection" />
	</h1>
</div>

<div class="sidebar-body">
	<liferay-ui:tabs
		cssClass="navbar-no-collapse"
		names="details"
		refresh="<%= false %>"
	>
		<liferay-ui:section>
			<strong>
				<liferay-ui:message arguments="<%= GetterUtil.getLong(request.getAttribute(DLWebKeys.DOCUMENT_LIBRARY_SELECT_ALL_COUNT)) %>" key="x-items-are-selected" />
			</strong>
		</liferay-ui:section>
	</liferay-ui:tabs>
</div>