<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceOrderEditDisplayContext commerceOrderEditDisplayContext = (CommerceOrderEditDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<commerce-ui:panel
	bodyClasses="p-0"
	title='<%= LanguageUtil.get(request, "emails") %>'
>
	<frontend-data-set:classic-display
		contextParams='<%=
			HashMapBuilder.<String, String>put(
				"commerceOrderId", String.valueOf(commerceOrderEditDisplayContext.getCommerceOrderId())
			).build()
		%>'
		dataProviderKey="<%= CommerceOrderFDSNames.NOTIFICATIONS %>"
		id="<%= CommerceOrderFDSNames.NOTIFICATIONS %>"
		itemsPerPage="<%= 10 %>"
		showManagementBar="<%= false %>"
	/>
</commerce-ui:panel>