<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
InviteUsersDisplayContext inviteUsersDisplayContext = new InviteUsersDisplayContext();
%>

<portlet:actionURL name="/account_admin/invite_account_users" var="inviteAccountUsersURL">
	<portlet:param name="accountEntryId" value='<%= ParamUtil.getString(request, "accountEntryId") %>' />
</portlet:actionURL>

<react:component
	module="account_entries_admin/js/InviteUsersForm"
	props='<%=
		HashMapBuilder.<String, Object>put(
			"accountEntryId", ParamUtil.getString(request, "accountEntryId")
		).put(
			"availableAccountRoles", inviteUsersDisplayContext.getAvailableAccountRolesMultiselectItems(ParamUtil.getLong(request, "accountEntryId"), themeDisplay.getCompanyId())
		).put(
			"inviteAccountUsersURL", inviteAccountUsersURL
		).put(
			"portletNamespace", liferayPortletResponse.getNamespace()
		).put(
			"redirectURL", ParamUtil.getString(request, "redirect")
		).build()
	%>'
/>