<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/publications/init.jsp" %>

<%
ReschedulePublicationDisplayContext reschedulePublicationDisplayContext = (ReschedulePublicationDisplayContext)request.getAttribute(CTWebKeys.RESCHEDULE_PUBLICATION_DISPLAY_CONTEXT);

portletDisplay.setShowBackIcon(true);
portletDisplay.setURLBack(reschedulePublicationDisplayContext.getRedirect());

renderResponse.setTitle(reschedulePublicationDisplayContext.getTitle());
%>

<clay:container-fluid
	cssClass="container-form-lg"
>
	<react:component
		module="publications/js/views/ChangeTrackingRescheduleView"
		props="<%= reschedulePublicationDisplayContext.getReactData() %>"
	/>
</clay:container-fluid>